/******************************************************************
*  源程序名：ImpTask6_3_2.cpp                   　　　　　　            *
*  功能：用自定义函数判断输入数字是否为奇数，给三次输入机会。           *
******************************************************************/
#include <iostream.h>
int isOdd(int num);
void main()
{
	int count=0;
	int n;
	cout<<"请输入一个奇数：";
	cin>>n;
	count++;
	while (1)
	{
		if (isOdd(n))
		{
			cout<<"输入正确!"<<endl;
			break;
		}
		else
		{
			if (count!=3)
			{
				cout<<"您输入的不是奇数，请重新输入：";
				cin>>n;
				count++;
			}
			else
			{
				cout<<"3次机会已用完，谢谢使用!"<<endl;
				break;
			}
		}
	}
}
int isOdd(int num)
{
	int flag;
	if (num%2==0)
		flag=0;
	else
		flag=1;
	return flag;
}